Bug 474826 - yum install prints confusing statements when in quiet mode
yum install prints confusing statements when in quiet mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.3
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 09:56 EST by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when in quiet mode, yum would not print details of the transaction, only the prompt "Is this ok [y/N]". Under certain circumstances, messages from plugins (such as the RHN plugin) might appear directly above the prompt in quiet mode and make it appear as if the prompt were related to the message from the plugin rather than to the transaction. Yum now always prints details of the transaction -- even in quiet mode -- so that it is always obvious to what the prompt is referring.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:34:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2008-12-05 09:56:49 EST
Yum install prints a confusing statement when trying to install a package from a repo (with RHN disable) when in quiet mode. 

[root@kovy ~]# yum -q  install vsftpd
Repository 'nightly' is missing name in configuration, using id
Repository 'nightly-VT' is missing name in configuration, using id
This system is not registered with RHN.
RHN support will be disabled.
Is this ok [y/N]:   

The yes/no answer seems to belong to the 'RHN support ...' message even though it's a question if to install packages. 

To make it clear, I suggest to add the following line when in quiet mode:
"About to install X packages, remove Y packages, upgrade Z packages" or something along these lines. 

If that's not aplicable then at least divide the error messages from the question, and have it phrased somewhat better. 


yum-3.2.19-18.el5
Comment 1 seth vidal 2008-12-05 12:41:12 EST
so, if we add more output when you specify -q then we'll end up causing pain for all the people who use -q to silence yum for cron jobs.

In the above scenario, rhn plugin should really be exiting the whole process if the system is not registered.

It shouldn't be allowing it all to continue.

A failure to reach a repo (including rhn) is a fatal error, imo.
Comment 2 Jan Hutař 2008-12-08 11:42:24 EST
Currently a failure to reach an RHN repo is ignored, I'm not sure, but there was some bug to *get* this behaviour, so change could be an regression (maybe these: bug 378911 and bug 435840 could be related).
Comment 3 James Antill 2009-03-25 01:49:11 EDT
We fixed this by always printing the transaction if assumeyes wasn't on.
Comment 6 Garik Khachikyan 2009-07-27 05:07:08 EDT
# VERIFIED

The "[y/N]" option now displays in a proper place and not right after the message about "RHN support disabled" text. System continues to search for other repositories even when system is not registered to RHN.

- Checked on: RHEL5.4-Client-20090715.0 (x86_64, i386); RHEL5.4-Server-20090715.0 (i386, x86_64, ia64, s390x)
- Package(s): yum-3.2.22-20.el5

---
# yum -q  install vsftpd
This system is not registered with RHN.
RHN support will be disabled.

======================================================================================================================================================================
 Package                             Arch                                Version                                      Repository                                 Size
======================================================================================================================================================================
Installing:
 vsftpd                              x86_64                              2.0.5-16.el5                                 rhts-custom3                              139 k

Transaction Summary
======================================================================================================================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Is this ok [y/N]: n
Exiting on user Command
---
Comment 8 Ruediger Landmann 2009-09-01 08:33:09 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, when in quiet mode, yum would not print details of the transaction, only the prompt "Is this ok [y/N]". Under certain circumstances, messages from plugins (such as the RHN plugin) might appear directly above the prompt in quiet mode and make it appear as if the prompt were related to the message from the plugin rather than to the transaction. Yum now always prints details of the transaction -- even in quiet mode -- so that it is always obvious to what the prompt is referring.
Comment 9 errata-xmlrpc 2009-09-02 03:34:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1419.html

Note You need to log in before you can comment on or make changes to this bug.